Create collection
curl --request POST \
--url https://api.thehaystack.ai/v2/haystack/collections/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Sunday Sermons"
}
'import requests
url = "https://api.thehaystack.ai/v2/haystack/collections/create"
payload = { "name": "Sunday Sermons" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Sunday Sermons'})
};
fetch('https://api.thehaystack.ai/v2/haystack/collections/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collection": {
"id": 1,
"name": "Sunday Sermons",
"fullService": false,
"variantTypes": [
{
"id": 123,
"name": "Sermon Video",
"indexable": true,
"displayOrder": 123,
"collectionId": 123
}
]
}
}Collections
Create Collection
Create a new collection
POST
/
collections
/
create
Create collection
⌘I

